Skip to main content
GET
/
v1
/
funds
cURL
curl --request GET \
  --url https://cmd.illusory.io/v1/funds \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "message": "Retrieved funds successfully.",
  "data": {
    "funds": 40,
    "upcoming": {
      "renewing": {
        "count": 1,
        "amount": 5
      },
      "expiring": {
        "count": 1,
        "amount": 5
      },
      "total": {
        "renewal_required": 0,
        "total_required": 0,
        "total_commitment": 10
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.

Response

Server response

ok
boolean

Indicates whether the request was successful e.g., true

message
string

Success message

Example:

"Retrieved funds successfully."

data
object

An object containing the user's funds